## spooles 2.2

=== debian/changelog ===
spooles (2.2-14.3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Nov 2025 12:55:10 -0800

spooles (2.2-14.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix build on armhf/other 32-bit archs.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Oct 2025 22:42:38 +0530

spooles (2.2-14.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 14. (Closes: #1075534)
  * Remove stale main.toc during the build.

 -- Adrian Bunk <bunk@debian.org>  Thu, 10 Apr 2025 22:26:46 +0300

spooles (2.2-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062920

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:18:08 +0000

spooles (2.2-14) unstable; urgency=medium

  * Team upload.
  * update MPI paths in makefiles.patch for multiarch. Closes: #915994.
  * Standards-Version: 4.2.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Dec 2018 23:56:58 +0100

spooles (2.2-13) unstable; urgency=medium

  [ Anton Gladky ]
  * Team upload.
  * [9e88405] Apply cme fix dpkg
  * [44b77b8] Set Standards-Version to 4.1.4
  * [26b7cff] Set compat-level 11
  * [8b1fc1f] Update patch to fix FTBFS
  * [b9a13bb] Remove uneeded Testsuite-field in d/control
  * [fd6d96c] Do not install .pc-folder. (Closes: #878617)
  * [4362905] Remove myself from uploaders

  [ Helmut Grohne ]
  * [95cd0f0] Allow substituting gcc for a cross compiler. (Closes: #865656)

 -- Anton Gladky <gladk@debian.org>  Thu, 07 Jun 2018 20:13:39 +0200

spooles (2.2-12) unstable; urgency=medium

  [ Martin Pitt ]
  * [1159233] Fix link order in autopkgtest. (Closes: #748682)

  [ Anton Gladky ]
  * [c3b4f93] Apply cme fix dpkg.
  * [eae632f] Fix lintian warning in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Feb 2016 15:49:03 +0100

spooles (2.2-11) unstable; urgency=medium

  * [0e2b291] Fix FTBFS in timings.h. (Closes: #747773)
  * [976e3fd] Set Standards-Versions: 3.9.5. No changes.
  * [ca3fc52] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sat, 17 May 2014 19:53:53 +0200

spooles (2.2-10) unstable; urgency=low

  * [a4ee2ff] Use compat-level 9.
  * [ebc71f0] Remove obsolete DM-Upload-Allowed flag.
  * [171c213] Use canonical VCS-field.
  * [9098da5] Set CFLAGS from environment.
  * [81ee954] Fix format no a string error.
  * [e34f510] Simplify/update debian/rules.
  * [1114f07] Use multiarch.
  * [8dd8f64] Add myself to uploaders.
  * [987649e] Use DEP-5 for copyright file.
  * [fbd90fd] Use wrap-and-sort.
  * [99fb899] Bumped Standards-Version 3.9.4. No changes.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Oct 2013 22:28:55 +0200

spooles (2.2-9) unstable; urgency=low

  * Rebuild against new mpi-defaults (closes: #652309).
  * Added build-arch target to debian/rules.
  * Bumped Standards-Version.
  * Added lintian overrides for uploader's name.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 15 Dec 2011 20:19:02 -0500

spooles (2.2-8) unstable; urgency=low

  * Moved to Debian-Science git repository.
  * Made sure patches apply before buliding (closes: #580517).
  * Fixed clean target to restore original tree.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 11 May 2010 14:16:30 -0400

spooles (2.2-7) unstable; urgency=low

  [ Hideki Yamane ]
  * debian/patches
    - sed -i s/usepackage{psfig}/usepackage{epsfig}/g *.patch to avoid FTBFS
     (Closes: #562304)

  [ Adam C. Powell, IV ]
  * Removed texlive-generic-extra from Build-Depends-Indep because it was only
    needed for psfig.
  * Changed to source format 3.0 (quilt) and updated debian/rules accordingly.
  * Bumped Standards-Version and added ${misc:Depends}.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 04 May 2010 09:24:45 -0400

spooles (2.2-6) unstable; urgency=low

  * Using mpi-default-dev instead of explicitly depending on openmpi or lam
    (closes: #509784).
  * Fixed more 64-bit issues in I2Ohash (thanks: Peter Schaefer;
    closes: #508382).
  * Adopted quilt for patch management.
  * Changed maintainer to pkg-scicomp-devel and added myself as first uploader.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 29 Dec 2008 04:21:04 -0500

spooles (2.2-5) unstable; urgency=low

  * Fixed 64-bit issue in I2Ohash (thanks: Peter Schaefer; closes: #487846).
  * Moved patches into their own debian subdirectory.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sat, 28 Jun 2008 21:05:17 -0400

spooles (2.2-4) unstable; urgency=low

  * Explicitly declare arches for openmpi vs. lam building.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 20 Mar 2008 08:44:32 -0400

spooles (2.2-3) unstable; urgency=low

  * Added lam4-dev as a build option (closes: #469665).
  * Changed doc-base section.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 19 Mar 2008 12:31:11 -0400

spooles (2.2-2) unstable; urgency=low

  * Added MPI and MT directories to build (closes: #467315).
  * Building all */doc docs now (closes: #464722).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 25 Feb 2008 23:18:48 -0500

spooles (2.2-1) unstable; urgency=low

  * First Debianization of SPOOLES (closes: #462867).
  * Added shared libraries to original static-only distribution.
  * Building docs in main documentation directory, not */doc directories yet.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 27 Jan 2008 20:10:36 -0500
