=== debian/control ===
Source: spooles
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11~), dpkg-dev (>= 1.22.5), mpi-default-dev
Build-Depends-Indep: texlive-latex-base
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/spooles
Vcs-Git: https://salsa.debian.org/science-team/spooles.git
Homepage: http://www.netlib.org/linalg/spooles/

Package: libspooles-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libspooles2.2t64 (= ${binary:Version}),
         mpi-default-dev,
         ${misc:Depends}
Suggests: spooles-doc
Pre-Depends: ${misc:Pre-Depends}
Description: SPOOLES SParse Object Oriented Linear Equations Solver development files
 SPOOLES is a library for solving sparse real and complex linear systems of
 equations, written in the C language using object oriented design.
 .
 This package contains the SPOOLES development files.

Package: libspooles2.2t64
Provides: ${t64:Provides}
Replaces: libspooles2.2
Breaks: libspooles2.2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SPOOLES SParse Object Oriented Linear Equations Solver shared library
 SPOOLES is a library for solving sparse real and complex linear systems of
 equations, written in the C language using object oriented design.
 .
 This package contains the SPOOLES shared library.

Package: spooles-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libspooles2.2-dev
Description: SPOOLES numerical simulation pre- and post-processor documentation
 SPOOLES is a library for solving sparse real and complex linear systems of
 equations, written in the C language using object oriented design.
 .
 This package contains the documentation for SPOOLES.
