=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build -- lib

override_dh_auto_build-indep:
	for texdocdir in AllInOne FrontTrees ReferenceManual; do \
	  (cd documentation/$$texdocdir; \
	   rm -f main.toc; \
	   latex main; \
	   latex main; \
	   latex main; \
	   dvips main -o $$texdocdir.ps); \
	done
	for module in A2 BKL BPG Chv ChvList ChvManager Coords DSTree DV \
	    DenseMtx Drand EGraph ETree FrontMtx GPart Graph I2Ohash IIheap \
	    IV IVL Ideq InpMtx Lock MSMD Network PatchAndGoInfo Pencil Perm \
	    SemiImplMtx SolveMap SubMtx SubMtxList SubMtxManager SymbFac Tree \
	    Utilities ZV misc MPI MT Eigen LinSol; do \
	  (cd $$module/doc; \
	   latex main; \
	   latex main; \
	   latex main; \
	   dvips main -o $$module.ps); \
	done

override_dh_auto_install-arch:
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a libspooles* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	for headerfile in `find . -name \*.h -print`; do \
	  install -D $$headerfile debian/tmp/usr/include/spooles/$$headerfile;\
	done
	rm -rf debian/tmp/usr/include/spooles/.pc

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
